opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::Range Class Reference

`#include <core.hpp>`

## Public Member Functions
bool | empty () const
| operator CvSlice () const
| Range ()
| Range (int _start, int _end)
| Range (const CvSlice &slice)
int | size () const

## Static Public Member Functions
static Range | all ()

## Public Attributes
int | end
int | start

## Detailed Description

The 2D range class

This is the class used to specify a continuous subsequence, i.e. part of a contour, or a column span in a matrix.

## Constructor & Destructor Documentation

cv::Range::Range | ( |  | ) |
| inline

cv::Range::Range | ( | int | _start,
|  | int | _end
| ) |  |
| inline

cv::Range::Range | ( | const CvSlice & | slice | ) |
| inline

## Member Function Documentation

Range cv::Range::all | ( |  | ) |
| inline static

bool cv::Range::empty | ( |  | ) | const
| inline

cv::Range::operator CvSlice | ( |  | ) | const
| inline

int cv::Range::size | ( |  | ) | const
| inline

## Member Data Documentation

int cv::Range::end

int cv::Range::start

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp